{# Must use the proper fts_vtbl_col otherwise will result in
`databaseerror: column INDEX OUT OF RANGE` #}
{% macro mark_blurb(
        search_query,
        orig_tbl_rowid,
        fts_vtbl,
        fts_vtbl_col
    ) -%}
SELECT
    snippet(
        {{ fts_vtbl }},
        {{ fts_vtbl_col }},
        '<mark>',
        '</mark>',
        '...',
        15
    )
FROM
    {{ fts_vtbl }}
WHERE
    {{ fts_vtbl }}.rowid = {{ orig_tbl_rowid }}
    AND {{ fts_vtbl }}
    match {{ search_query }}
{%- endmacro %}
