{% macro get_justice_data(decision_id) -%}
SELECT
    json_object(
        'last_name',
        last_name,
        'start_term',
        start_term,
        'chief_date',
        chief_date
    )
FROM
    justices
WHERE
    pk = (
        SELECT
            justice_id
        FROM
            opinions
        WHERE
            decision_id = {{ decision_id }}
            AND LOWER(category) == "ponencia"
    )
{%- endmacro %}
