{% from '_utils/_fts_mark_blurb.sql' import mark_blurb %}
SELECT
    opx.decision_id case_pk,
    (
        {{ mark_blurb(
            query,
            'opx.rowid',
            'opinions_fts',
            1
        ) }}
    ) snippet
FROM
    opinions opx
    JOIN opinions_fts
    ON opinions_fts.rowid = opx.rowid
    JOIN decisions dc
    ON opx.decision_id = dc.pk
WHERE
    opinions_fts match {{ query }}
ORDER BY
    dc.date_prom DESC
