{% macro get_source_list(
        doc_pk,
        material_path
    ) -%}
SELECT
    doc0.units ->> t.path ->> '$.sources'
FROM
    documents doc0,
    json_tree(
        doc0.units,
        '$'
    ) t
WHERE
    doc0.pk = {{ doc_pk }}
    AND t.key = 'id'
    AND {{ material_path }} LIKE t.value || '%'
    AND doc0.units ->> t.path ->> '$.sources' IS NOT NULL
ORDER BY
    t.path
{%- endmacro %}
