{% from 'statutes/_json_array_titles.sql' import get_title_variants %}
{% from 'statutes/_json_array_relations.sql' import get_related_codifications %}
{% from 'codifications/_json_array_codes.sql' import get_codified_variants %}
SELECT
    pk,
    cat category,
    idx identifier,
    DATE promulgation_date,
    ({{ get_title_variants(statute_pk) }}) titles,
    ({{ get_codified_variants(statute_pk) }}) annotations,
    ({{ get_related_codifications(statute_pk) }}) relations

    {% if with_units %},
    s.units
{% endif %}
FROM
    statutes s
WHERE
    pk = {{ statute_pk }}
