{% from '_utils/_null_default.sql' import nulldefault %}
{% from 'events/_unit_id_from_data.sql' import fetch_unit_id %}
{% from 'statutes/_statute_title.sql' import get_statute_id_from_serial %}
{# Get the statute id and unit id from data supplied #}
SELECT
        s3.pk statute_id,
        (
                {{ fetch_unit_id(
                        's3.pk',
                        locator,
                        caption,
                        content
                ) }}
        ) unit_id
FROM
        statutes s3
WHERE
        s3.pk = ({{ get_statute_id_from_serial(statute) }})
        AND ({{ nulldefault('s3.date', date) }})
        AND ({{ nulldefault('s3.variant', variant) }})
