WITH items_selected(node) AS (
    SELECT
        s.units ->> t0.path
    FROM
        statutes s,
        json_tree(
            s.units,
            '$'
        ) t0
    WHERE
        s.pk = 'spain-civil-january-05-1889'
        AND t0.key = 'item'
        AND t0.value = 'Article 1'
)
SELECT
    node ->> 'id'
FROM
    items_selected
WHERE
    'NULL' IS NULL
    OR node ->> '$.caption' = NULL
    AND NULL IS NULL
    OR node ->> '$.content' LIKE '%' || 'NULL' || '%'
