{# Requires a previous cte WITH generic named COLUMNS for reusability produces within A given window RANGE BETWEEN `start row`, `end row` the captured `rowids` for a given search query #}
{% macro select_ids(
        prior_rowids_cte,
        start_row,
        end_row,
        sort_order
    ) %}
SELECT
    x.row_idx,
    x.max_count
FROM
    {{ prior_rowids_cte }}
    x
WHERE
    x.rn BETWEEN {{ start_row }}
    AND {{ end_row }}
ORDER BY
    x.row_date {{ sort_order }}
{%- endmacro %}
