{% from 'decisions/_decision_date.sql' import get_decision_date %}
{% from '_utils/_fts_row_num.sql' import set_ordering %}
{% from '_utils/_fts_id_selector.sql' import select_ids %}
{% macro get_body_text_ids(
        q,
        start_row,
        end_row,
        sort_order
    ) -%}
    WITH rowids(
        row_idx,
        row_date,
        rn,
        max_count
    ) AS (
        SELECT
            op.rowid row_idx,
            ({{ get_decision_date('op.decision_id') }}) row_date,
            {{ set_ordering(get_decision_date('op.decision_id'), sort_order) }}
            rn,
            COUNT(*) over () max_count
        FROM
            opinions op
            JOIN opinions_fts
            ON op.rowid = opinions_fts.rowid
        WHERE
            opinions_fts match {{ q }}
    ) {{ select_ids(
        'rowids',
        start_row,
        end_row,
        sort_order
    ) }}
{%- endmacro %}
