{% from '_utils/_json_array_authors.sql' import get_authors_json %}
{% macro get_document_columns(
        tbl_alias,
        with_units = none
    ) -%}
    {#- will collect all authors from emails and convert the result into a json array -#}
    {% set authors_list = get_authors_json('{}.pk'.format(tbl_alias), 'DocumentAuthors', 'doc_id') %}
    {#- proper columns declaration -#}
    {{ tbl_alias }}.pk,
    {{ tbl_alias }}.version,
    {{ tbl_alias }}.title,
    {{ tbl_alias }}.description,
    {{ tbl_alias }}.publication_date,
    (
        {{ authors_list }}
    ) authors

    {%- if with_units %},
    {{ tbl_alias }}.units
{% endif -%}
{%- endmacro %}
