{% from '_utils/_fts_row_num.sql' import set_ordering %}
{% from '_utils/_fts_id_selector.sql' import select_ids %}
{% from 'documents/_document_date.sql' import get_document_date %}
{% macro get_content_ids(
        q,
        start_row,
        end_row,
        sort_order
    ) -%}
    WITH rowids(
        row_idx,
        row_date,
        rn,
        max_count
    ) AS (
        SELECT
            docx.rowid,
            ({{ get_document_date('docx.pk') }}),
            {{ set_ordering(get_document_date('docx.pk'), sort_order) }}
            rn,
            COUNT(*) over ()
        FROM
            documentcontent docx
            JOIN documentcontent_fts
            ON docx.rowid = documentcontent_fts.rowid
        WHERE
            documentcontent_fts match {{ q }}
        GROUP BY
            docx.pk
    ) {{ select_ids(
        'rowids',
        start_row,
        end_row,
        sort_order
    ) }}
{%- endmacro %}
