{% from '_utils/_fts_row_num.sql' import set_ordering %}
{% from '_utils/_fts_id_selector.sql' import select_ids %}
{% macro get_title_ids(
        q,
        start_row,
        end_row,
        sort_order
    ) -%}
    WITH rowids(
        row_idx,
        row_date,
        rn,
        max_count
    ) AS (
        SELECT
            doc.rowid,
            doc.publication_date,
            {{ set_ordering(
                'doc.publication_date',
                sort_order
            ) }},
            COUNT(*) over ()
        FROM
            documents doc
            JOIN documents_fts
            ON doc.rowid = documents_fts.rowid
        WHERE
            documents_fts match {{ q }}
    ) {{ select_ids(
        'rowids',
        start_row,
        end_row,
        sort_order
    ) }}
{%- endmacro %}
