{% macro get_history_list(
        code_pk,
        material_path
    ) -%}
SELECT
    code.units ->> t.path ->> '$.history'
FROM
    codifications code,
    json_tree(
        code.units,
        '$'
    ) t
WHERE
    code.pk = {{ code_pk }}
    AND t.key = 'id'
    AND {{ material_path }} LIKE t.value || '%'
    AND code.units ->> t.path ->> '$.history' IS NOT NULL
ORDER BY
    t.path
{%- endmacro %}
