{% from 'sources/_get_source_list.sql' import get_source_list %}
{% from 'statutes/_statute_title.sql' import get_statute_title %}
WITH source_list(node) AS (
    {{ get_source_list(
        doc_pk,
        mp
    ) }}
)
SELECT
    source_node.value basis
FROM
    source_list,
    json_each(node) source_node
    /*
    This extracts the entire JSON object which may consist of a query, a locator-statute combo, a citation, etc.
    Considering the variety, it's best to post-process the results by a secondary query in the application-level.
    */
