{% macro get_related_code_pks(statute_id) -%}
SELECT
    DISTINCT C.pk
FROM
    codifications C,
    json_tree(
        C.units,
        '$'
    ) t
WHERE
    C.statute_id != 'eo-209-july-06-1987'
    AND t.key = 'statute'
    AND t.value = (
        SELECT
            stc.text
        FROM
            statutetitles stc
        WHERE
            stc.category = 'serial'
            AND stc.statute_id = 'eo-209-july-06-1987'
    )
{%- endmacro %}
