{% from 'statutes/_statute_date.sql' import get_statute_date %}
{% from '_utils/_fts_row_num.sql' import set_ordering %}
{% from '_utils/_fts_id_selector.sql' import select_ids %}
{% macro get_title_ids(
        q,
        start_row,
        end_row,
        sort_order
    ) -%}
    WITH rowids(
        row_idx,
        row_date,
        rn,
        max_count
    ) AS (
        SELECT
            st.rowid,
            ({{ get_statute_date('st.statute_id') }}),
            {{ set_ordering(get_statute_date('st.statute_id'), sort_order) }},
            COUNT(*) over ()
        FROM
            statutetitles st
            JOIN statutetitles_fts
            ON st.rowid = statutetitles_fts.rowid
        WHERE
            statutetitles_fts match {{ q }}
        GROUP BY
            st.statute_id
    ) {{ select_ids(
        'rowids',
        start_row,
        end_row,
        sort_order
    ) }}
{%- endmacro %}
